org.eclipse.viatra.query.runtime.rete.recipes

## Interface RecipesFactory

- All Superinterfaces:
    org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    RecipesFactoryImpl

      public interface RecipesFactory
      extends org.eclipse.emf.ecore.EFactory

  The Factory for the model. It provides a create method for each non-abstract class of the model.
  See Also:
    `RecipesPackage`
  Generated:

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`
    `static RecipesFactory` | `eINSTANCE` The singleton instance of the factory.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AggregatorIndexerRecipe` | `createAggregatorIndexerRecipe()` Returns a new object of class 'Aggregator Indexer Recipe'.
    `AntiJoinRecipe` | `createAntiJoinRecipe()` Returns a new object of class 'Anti Join Recipe'.
    `CheckRecipe` | `createCheckRecipe()` Returns a new object of class 'Check Recipe'.
    `ConstantRecipe` | `createConstantRecipe()` Returns a new object of class 'Constant Recipe'.
    `CountAggregatorRecipe` | `createCountAggregatorRecipe()` Returns a new object of class 'Count Aggregator Recipe'.
    `DiscriminatorBucketRecipe` | `createDiscriminatorBucketRecipe()` Returns a new object of class 'Discriminator Bucket Recipe'.
    `DiscriminatorDispatcherRecipe` | `createDiscriminatorDispatcherRecipe()` Returns a new object of class 'Discriminator Dispatcher Recipe'.
    `EqualityFilterRecipe` | `createEqualityFilterRecipe()` Returns a new object of class 'Equality Filter Recipe'.
    `EvalRecipe` | `createEvalRecipe()` Returns a new object of class 'Eval Recipe'.
    `ExpressionDefinition` | `createExpressionDefinition()` Returns a new object of class 'Expression Definition'.
    `InequalityFilterRecipe` | `createInequalityFilterRecipe()` Returns a new object of class 'Inequality Filter Recipe'.
    `InputFilterRecipe` | `createInputFilterRecipe()` Returns a new object of class 'Input Filter Recipe'.
    `InputRecipe` | `createInputRecipe()` Returns a new object of class 'Input Recipe'.
    `JoinRecipe` | `createJoinRecipe()` Returns a new object of class 'Join Recipe'.
    `Mask` | `createMask()` Returns a new object of class 'Mask'.
    `MonotonicityInfo` | `createMonotonicityInfo()` Returns a new object of class 'Monotonicity Info'.
    `ProductionRecipe` | `createProductionRecipe()` Returns a new object of class 'Production Recipe'.
    `ProjectionIndexerRecipe` | `createProjectionIndexerRecipe()` Returns a new object of class 'Projection Indexer Recipe'.
    `RelationEvaluationRecipe` | `createRelationEvaluationRecipe()` Returns a new object of class 'Relation Evaluation Recipe'.
    `ReteRecipe` | `createReteRecipe()` Returns a new object of class 'Rete Recipe'.
    `SemiJoinRecipe` | `createSemiJoinRecipe()` Returns a new object of class 'Semi Join Recipe'.
    `SingleColumnAggregatorRecipe` | `createSingleColumnAggregatorRecipe()` Returns a new object of class 'Single Column Aggregator Recipe'.
    `TransitiveClosureRecipe` | `createTransitiveClosureRecipe()` Returns a new object of class 'Transitive Closure Recipe'.
    `TransparentRecipe` | `createTransparentRecipe()` Returns a new object of class 'Transparent Recipe'.
    `TrimmerRecipe` | `createTrimmerRecipe()` Returns a new object of class 'Trimmer Recipe'.
    `UniquenessEnforcerRecipe` | `createUniquenessEnforcerRecipe()` Returns a new object of class 'Uniqueness Enforcer Recipe'.
    `RecipesPackage` | `getRecipesPackage()` Returns the package supported by this factory.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values
      Generated:

    - #### eINSTANCE

          static final RecipesFactory eINSTANCE

      The singleton instance of the factory.
      Generated:

  - ### Method Detail

    - #### createReteRecipe

          ReteRecipe createReteRecipe()

      Returns a new object of class 'Rete Recipe'.
      Returns:
        a new object of class 'Rete Recipe'.
      Generated:

    - #### createMonotonicityInfo

          MonotonicityInfo createMonotonicityInfo()

      Returns a new object of class 'Monotonicity Info'.
      Returns:
        a new object of class 'Monotonicity Info'.
      Generated:

    - #### createUniquenessEnforcerRecipe

          UniquenessEnforcerRecipe createUniquenessEnforcerRecipe()

      Returns a new object of class 'Uniqueness Enforcer Recipe'.
      Returns:
        a new object of class 'Uniqueness Enforcer Recipe'.
      Generated:

    - #### createProductionRecipe

          ProductionRecipe createProductionRecipe()

      Returns a new object of class 'Production Recipe'.
      Returns:
        a new object of class 'Production Recipe'.
      Generated:

    - #### createProjectionIndexerRecipe

          ProjectionIndexerRecipe createProjectionIndexerRecipe()

      Returns a new object of class 'Projection Indexer Recipe'.
      Returns:
        a new object of class 'Projection Indexer Recipe'.
      Generated:

    - #### createAggregatorIndexerRecipe

          AggregatorIndexerRecipe createAggregatorIndexerRecipe()

      Returns a new object of class 'Aggregator Indexer Recipe'.
      Returns:
        a new object of class 'Aggregator Indexer Recipe'.
      Generated:

    - #### createMask

          Mask createMask()

      Returns a new object of class 'Mask'.
      Returns:
        a new object of class 'Mask'.
      Generated:

    - #### createInputRecipe

          InputRecipe createInputRecipe()

      Returns a new object of class 'Input Recipe'.
      Returns:
        a new object of class 'Input Recipe'.
      Generated:

    - #### createConstantRecipe

          ConstantRecipe createConstantRecipe()

      Returns a new object of class 'Constant Recipe'.
      Returns:
        a new object of class 'Constant Recipe'.
      Generated:

    - #### createTransitiveClosureRecipe

          TransitiveClosureRecipe createTransitiveClosureRecipe()

      Returns a new object of class 'Transitive Closure Recipe'.
      Returns:
        a new object of class 'Transitive Closure Recipe'.
      Generated:

    - #### createInequalityFilterRecipe

          InequalityFilterRecipe createInequalityFilterRecipe()

      Returns a new object of class 'Inequality Filter Recipe'.
      Returns:
        a new object of class 'Inequality Filter Recipe'.
      Generated:

    - #### createEqualityFilterRecipe

          EqualityFilterRecipe createEqualityFilterRecipe()

      Returns a new object of class 'Equality Filter Recipe'.
      Returns:
        a new object of class 'Equality Filter Recipe'.
      Generated:

    - #### createTransparentRecipe

          TransparentRecipe createTransparentRecipe()

      Returns a new object of class 'Transparent Recipe'.
      Returns:
        a new object of class 'Transparent Recipe'.
      Generated:

    - #### createTrimmerRecipe

          TrimmerRecipe createTrimmerRecipe()

      Returns a new object of class 'Trimmer Recipe'.
      Returns:
        a new object of class 'Trimmer Recipe'.
      Generated:

    - #### createExpressionDefinition

          ExpressionDefinition createExpressionDefinition()

      Returns a new object of class 'Expression Definition'.
      Returns:
        a new object of class 'Expression Definition'.
      Generated:

    - #### createCheckRecipe

          CheckRecipe createCheckRecipe()

      Returns a new object of class 'Check Recipe'.
      Returns:
        a new object of class 'Check Recipe'.
      Generated:

    - #### createEvalRecipe

          EvalRecipe createEvalRecipe()

      Returns a new object of class 'Eval Recipe'.
      Returns:
        a new object of class 'Eval Recipe'.
      Generated:

    - #### createCountAggregatorRecipe

          CountAggregatorRecipe createCountAggregatorRecipe()

      Returns a new object of class 'Count Aggregator Recipe'.
      Returns:
        a new object of class 'Count Aggregator Recipe'.
      Generated:

    - #### createJoinRecipe

          JoinRecipe createJoinRecipe()

      Returns a new object of class 'Join Recipe'.
      Returns:
        a new object of class 'Join Recipe'.
      Generated:

    - #### createSemiJoinRecipe

          SemiJoinRecipe createSemiJoinRecipe()

      Returns a new object of class 'Semi Join Recipe'.
      Returns:
        a new object of class 'Semi Join Recipe'.
      Generated:

    - #### createAntiJoinRecipe

          AntiJoinRecipe createAntiJoinRecipe()

      Returns a new object of class 'Anti Join Recipe'.
      Returns:
        a new object of class 'Anti Join Recipe'.
      Generated:

    - #### createInputFilterRecipe

          InputFilterRecipe createInputFilterRecipe()

      Returns a new object of class 'Input Filter Recipe'.
      Returns:
        a new object of class 'Input Filter Recipe'.
      Generated:

    - #### createSingleColumnAggregatorRecipe

          SingleColumnAggregatorRecipe createSingleColumnAggregatorRecipe()

      Returns a new object of class 'Single Column Aggregator Recipe'.
      Returns:
        a new object of class 'Single Column Aggregator Recipe'.
      Generated:

    - #### createDiscriminatorDispatcherRecipe

          DiscriminatorDispatcherRecipe createDiscriminatorDispatcherRecipe()

      Returns a new object of class 'Discriminator Dispatcher Recipe'.
      Returns:
        a new object of class 'Discriminator Dispatcher Recipe'.
      Generated:

    - #### createDiscriminatorBucketRecipe

          DiscriminatorBucketRecipe createDiscriminatorBucketRecipe()

      Returns a new object of class 'Discriminator Bucket Recipe'.
      Returns:
        a new object of class 'Discriminator Bucket Recipe'.
      Generated:

    - #### createRelationEvaluationRecipe

          RelationEvaluationRecipe createRelationEvaluationRecipe()

      Returns a new object of class 'Relation Evaluation Recipe'.
      Returns:
        a new object of class 'Relation Evaluation Recipe'.
      Since:
        2.8
      Generated:

    - #### getRecipesPackage

          RecipesPackage getRecipesPackage()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.
      Generated: